package main

import (
	"database/sql"

	migration "bitbucket.org/prmunty/util/dbmigration/db"
	_ "github.com/mattn/go-sqlite3"
)

func main() {
	const version float64 = 1.0

	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			AddAuxModeOrdinals,
			AddTrendingModeOrdinals,
		)
	})

}


func AddAuxModeOrdinals(tx *sql.Tx) error {

	ids := []int{24,25,26,27, 28, 29, 30}
	order := []int{22,23,24,25,26,27,28}


	for i, id := range ids {
		if _, err := tx.Exec(
			`INSERT OR IGNORE INTO mode_ordinals(mode_data, text_index) VALUES( 572, ? , ? )`,
			id, order[i],
		); err != nil {
			return err
		}
	}

	return nil
}


func AddTrendingModeOrdinals(tx *sql.Tx) error {

	ids := []int{42,42}
	order := []int{43,43}


	for i, id := range ids {
		if _, err := tx.Exec(
			`INSERT OR IGNORE INTO mode_ordinals(mode_data, text_index) VALUES( 369, ? , ? )`,
			id, order[i],
		); err != nil {
			return err
		}
	}

	return nil
}