package main

import (
	"database/sql"
	migration "bitbucket.org/prmunty/util/dbmigration/db"
	_ "github.com/mattn/go-sqlite3"
	"bitbucket.org/prmunty/util/logger"
)

func main() {
	const version float64 = 4.0
	logger.Log.Printf("Started Database Migration for Version:", version)
	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			UpdateUserTable,
			
		)
	})
}

func UpdateUserTable(tx *sql.Tx) error {
	_, err := tx.Exec(`ALTER TABLE users ADD COLUMN mobile_domain TEXT`)
	if err != nil{
		return err
	}
	_, err1 := tx.Exec(`ALTER TABLE users ADD COLUMN mobile_notifications INTEGER`)
	if err1 != nil{
		return err1
	}
    _, err2 := tx.Exec(`UPDATE users SET mobile_domain=?,mobile_notifications=?`,"",0)
	if err2 != nil{
		return err2
	}
    return nil
}
/*
ALTER TABLE "users" ADD COLUMN mobile_notifications INTEGER;
ALTER TABLE "users" ADD COLUMN mobile_domain TEXT;

UPDATE "users" set mobile_domain="";
UPDATE "users" set mobile_notifications=0;
*/